Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7ec2ac41ebedab15f46e8fa58d8e7b2e34614775)
+++ chapter01/changelog.xml	(revision f4e94b384b8009e880050f2a9fea6f2828f24e86)
@@ -44,4 +44,30 @@
 -->
     <listitem>
+      <para>2017-09-02</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to file-5.32.  Fixes
+          <ulink url="&lfs-ticket-root;4132">#4132</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to coreutils-8.28.  Fixes
+          <ulink url="&lfs-ticket-root;4131">#4131</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.43.6.  Fixes
+          <ulink url="&lfs-ticket-root;4130">#4130</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.4.  Fixes
+          <ulink url="&lfs-ticket-root;4127">#4127</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.12.10.  Fixes
+          <ulink url="&lfs-ticket-root;4126">#4126</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-09-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 7ec2ac41ebedab15f46e8fa58d8e7b2e34614775)
+++ chapter01/whatsnew.xml	(revision f4e94b384b8009e880050f2a9fea6f2828f24e86)
@@ -57,7 +57,7 @@
       <para>Check &check-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Coreutils &coreutils-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>DejaGNU &dejagnu-version;</para>
@@ -72,16 +72,16 @@
       <para>Eudev &eudev-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Expat-&expat-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>File &file-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Findutils &findutils-version;</para>
@@ -156,7 +156,7 @@
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Linux &linux-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>M4 &m4-version;</para>
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision 7ec2ac41ebedab15f46e8fa58d8e7b2e34614775)
+++ chapter06/coreutils.xml	(revision f4e94b384b8009e880050f2a9fea6f2828f24e86)
@@ -120,7 +120,8 @@
           -c "PATH=$PATH make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
 
-    <para>The test programs test-getlogin and date-debug are known to fail in a
+    <para>The test program test-getlogin is known to fail in a
     partially built system environment like the chroot environment here, but
-    pass if run at the end of this chapter.</para>
+    passes if run at the end of this chapter.  The test program tty.sh is
+    also known to fail.</para>
 
     <para>Remove the temporary group:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 7ec2ac41ebedab15f46e8fa58d8e7b2e34614775)
+++ general.ent	(revision f4e94b384b8009e880050f2a9fea6f2828f24e86)
@@ -1,15 +1,15 @@
-<!ENTITY version         "SVN-20170901">
+<!ENTITY version         "SVN-20170902">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170901-systemd">
+<!ENTITY versiond        "20170902-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 1, 2017">
+<!ENTITY releasedate     "September 2, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "8.2">
+<!ENTITY milestone       "8.1">
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision 7ec2ac41ebedab15f46e8fa58d8e7b2e34614775)
+++ packages.ent	(revision f4e94b384b8009e880050f2a9fea6f2828f24e86)
@@ -99,8 +99,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
-<!ENTITY coreutils-version "8.27">
-<!ENTITY coreutils-size "5,162 KB">
+<!ENTITY coreutils-version "8.28">
+<!ENTITY coreutils-size "5,130 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "502795792c212932365e077946d353ae">
+<!ENTITY coreutils-md5 "e7cb20d0572cc40d9f47ede6454406d1">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "136 MB">
@@ -138,8 +138,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.43.5">
-<!ENTITY e2fsprogs-size "7,425 KB">
+<!ENTITY e2fsprogs-version "1.43.6">
+<!ENTITY e2fsprogs-size "7,303 KB">
 <!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "40aa1b7d7d6bd9c71db0fbf325a7c199">
+<!ENTITY e2fsprogs-md5 "94fb7105284474a71cf5dd0e03b92661">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
@@ -153,8 +153,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.3">
-<!ENTITY expat-size "426 KB">
+<!ENTITY expat-version "2.2.4">
+<!ENTITY expat-size "494 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
-<!ENTITY expat-md5 "f053af63ef5f39bd9b78d01fbc203334">
+<!ENTITY expat-md5 "6e3980aba29a224a9f478d88ac7ec207">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
 <!ENTITY expat-ch6-du "9.5 MB">
@@ -170,8 +170,8 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.31">
-<!ENTITY file-size "774 KB">
+<!ENTITY file-version "5.32">
+<!ENTITY file-size "779 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "319627d20c9658eae85b056115b8c90a">
+<!ENTITY file-md5 "4f2503752ff041895090ed6435610435">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "16 MB">
@@ -401,10 +401,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "12">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "10">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "96,865 KB">
+<!ENTITY linux-size "96,822 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "245d1b4dc6e82669aac2c9e6a2dd82fe">
+<!ENTITY linux-md5 "8cfe8bd3bd00c0bb10171441e1a9c99e">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
